"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const runtimeCore_esmBundler = require("../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const shared_esmBundler = require("../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.js");
const _hoisted_1 = { class: "go-config-item-box" };
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "SettingItemBox",
  props: {
    name: {
      type: String,
      required: false
    },
    alone: {
      type: Boolean,
      default: false,
      required: false
    },
    itemRightStyle: {
      type: Object,
      default: () => {
      },
      required: false
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_n_space = runtimeCore_esmBundler.resolveComponent("n-space");
      const _component_n_text = runtimeCore_esmBundler.resolveComponent("n-text");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", _hoisted_1, [
        runtimeCore_esmBundler.createVNode(_component_n_text, {
          class: "item-left",
          depth: "2"
        }, {
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createTextVNode(shared_esmBundler.toDisplayString(__props.name) + " ", 1),
            runtimeCore_esmBundler.createVNode(_component_n_space, { size: 5 }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.renderSlot(_ctx.$slots, "name", {}, void 0, true)
              ]),
              _: 3
            })
          ]),
          _: 3
        }),
        runtimeCore_esmBundler.createElementVNode("div", {
          class: "item-right",
          style: shared_esmBundler.normalizeStyle({
            gridTemplateColumns: __props.alone ? "1fr" : "1fr 1fr",
            ...__props.itemRightStyle
          })
        }, [
          runtimeCore_esmBundler.renderSlot(_ctx.$slots, "default", {}, void 0, true)
        ], 4)
      ]);
    };
  }
});
exports.default = _sfc_main;
